<?
require_once('include/global.php');
require_once('include/admin_lib.php');


// check
	if (!$_POST['ml_email'] || !$_GET['m_no'])
		msg('올바른 URL로 접근하여 주십시오');

	$q_where = '';
	if ($_GET['isadmin'])
	{
		auth_limit('admin');
		$_GET['d_no'] = $G['DINFO']['d_no'];
		$q_where = " AND d_no='" . $_GET['d_no'] . "'";

		if ($G['DINFO']['d_svc_mailing_list'] === 'N') {
			msg("메일링 리스트를 사용할 수 없습니다.\\n\\n서버관리자에게 문의하여 주십시오.");
		}
	} else 
	{
		auth_limit('serveradmin');
	}	// if()


// get
	$q = "SELECT m_id, d_no FROM " . $TB['MEMBER'] . " WHERE m_no='" . $_GET['m_no'] . "'".$q_where;
	$mbr = db_get_row($q);
	if (!$mbr)
		msg("존재하지 않는 메일링 주소입니다.");

	if (!$_GET['isadmin'])
	{
		$sql = "SELECT d_name FROM ".$TB['DOMAIN']." WHERE d_no='". $mbr['d_no'] . "' AND d_is_use='Y' ";
		$G_SYS['MAIL_DOMAIN'] = db_get_one($sql);
	}	// if()


// data
	$_ex = explode(',', $_POST['ml_email']);

	// [2012-10-16] 메일링 리스트 개수 제한
	$q = "SELECT COUNT(*) FROM " . $TB['MAILING_LIST'] . " WHERE m_no='" . $_GET['m_no'] . "'";
	$limit_cnt = db_get_one($q);
	if ($limit_cnt >= $G_SYS['MAILING_ADDR_LIMIT'])
		msg("메일링 리스트에 포함된 주소는 최대 ".$G_SYS['MAILING_ADDR_LIMIT']."개까지 등록할 수 있습니다.");

	$msg = '';
	for ($i=0; $i<sizeof($_ex); $i++)
	{
		$_ex[$i] = trim(strtolower($_ex[$i]));

		// 주소가 있고 메일주소일때만 저장.
		//if (strlen($_ex[$i]) > 0 && (isemail($_ex[$i]) || isdomain($_ex[$i])))
		if (strlen($_ex[$i]) > 0 && isemail($_ex[$i]))
		{
			// 중복여부 체크
			$sql = "SELECT COUNT(*)  FROM " . $TB['MAILING_LIST'] . " WHERE m_no='" . $_GET['m_no'] . "' AND ml_email='" . $_ex[$i] . "'";
			$ml_cnt = db_get_one($sql);
			if ($ml_cnt > 0)
			{
				if ($msg)
					$msg .= ', ';
				$msg .= stripslashes($_ex[$i]);
			} else
			{
				if ($limit_cnt >= $G_SYS['MAILING_ADDR_LIMIT'])
					msg("메일링 리스트에 포함된 주소는 최대 ".$G_SYS['MAILING_ADDR_LIMIT']."개까지 등록할 수 있습니다.");
				$limit_cnt++;

				$_ex[$i] = to_db_str($_ex[$i], 255, false);
				$_POST['ml_regdate'] = date('Y-m-d H:i:s');

				// 수신거부 목록에 등록되었을 경우 자동 삭제.
				$sql = "DELETE  FROM " . $TB['SPAM_REJECT'] . " WHERE m_no='" . $_GET['m_no'] . "' AND sr_email='" . $_ex[$i] . "'";
				db_query($sql);

				// 추가
				$sql = "
					INSERT INTO
						" . $TB['MAILING_LIST'] . "
						(m_no, ml_email, ml_perms, ml_regdate)
					VALUES
						('". $_GET['m_no'] . "', '" . $_ex[$i] . "', '" . $_POST['ml_perms'] . "', '" . $_POST['ml_regdate'] . "')
					";
				db_query($sql);

				// 메일엔진에 메일링 유저 추가
				mluser_add($mbr['m_id'], $_ex[$i], $_POST['ml_perms']);
			}	// if()
		}	// if()
	}	// for()

// end
	if ($msg)
		msg("이미 추가된 주소는 생략되었습니다.\\n\\n=> ".$msg, 0);

	#msg("추가되었습니다.", 0);
	movepage('admin_mailing_addr.php?' . get_qs());

require_once('include/global_end.php');
?>